DROP DATABASE IF EXISTS "CustomerOrders";

CREATE DATABASE "CustomerOrders"
    WITH
    OWNER = postgres
    ENCODING = 'UTF8'
    CONNECTION LIMIT = -1
    IS_TEMPLATE = False;

CREATE SCHEMA "dbo";

CREATE TABLE "dbo"."Customers"
(
	Id			INT				NOT NULL,
	Name		varchar(200)	NOT NULL,
	InsertUser	varchar(128)	NOT NULL	DEFAULT (user),
	InsertDate	TIMESTAMP		NOT NULL	DEFAULT (NOW())
);

COPY "dbo"."Customers" FROM 'T:\temp\Exchange\Customers.txt' (FORMAT CSV, HEADER);

SELECT * FROM "dbo"."Customers";

DROP TABLE IF EXISTS "dbo"."CustomerOrders";
CREATE TABLE "dbo"."CustomerOrders"
(
	Id				int				NOT NULL,
	Customer_Id		int				NOT NULL,
	OrderNumber		char(10)		NOT NULL,
	InvoiceNumber	char(10)		NOT NULL,
	OrderDate		TIMESTAMP		NOT NULL,
	OrderStatus_Id	int				NOT NULL,
	Employee_Id		int				NOT NULL,
	InsertUser		varchar(128)	NULL		DEFAULT (user),
	InsertDate		TIMESTAMP		NOT NULL	DEfAULT (NOW())
);

COPY "dbo"."CustomerOrders" FROM 'T:\temp\Exchange\CustomerOrders.txt' (FORMAT CSV, HEADER);