/*============================================================================
	File:		0030 - PostgreSQL - Configuration.sql

	Summary:	This script demonstrates how to...
				- get information of current configuration
				- get information about a dedicated configuration setting
				- reconfigure configuration options

	Date:		September 2023

	PostgreSQL: 15
------------------------------------------------------------------------------
	Written by Uwe Ricken, db Berater GmbH

	This script is intended only as a supplement to demos and lectures
	given by Uwe Ricken.  
  
	THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
	ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
	TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
	PARTICULAR PURPOSE.
============================================================================*/
/* Show all configuration settings */
SHOW ALL;

/* Show the configuration settings of a dedicated value */
SHOW shared_buffers;
SHOW max_parallel_workers;

/* To change parameters for the SYSTEM */
SHOW work_mem;
ALTER SYSTEM SET work_mem = '8MB';
SHOW work_mem;
SELECT pg_reload_conf();
SHOW work_mem;
